%define rel 6
%define _with_zeitgeist 0
%define git git20130129

Name: phonon4qt5
Summary: KDE5 Multimedia Framework 
Version: 4.6.60
Release: %mkrel %rel
Epoch: 5
Url: http://phonon.kde.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-build
# We're using git: http://gitorious.org/phonon
Source0: ftp://ftp.kde.org/pub/kde/stable/phonon/%version/phonon-%version.%git.tar.bz2
Patch1:  phonon-4.6.0-phonon-allow-stop-empty-source.patch
Patch2:  phonon-4.6.2-fix-path.patch

BuildRequires:  qtbase5-devel
BuildRequires:  libqtdeclarative5-devel
BuildRequires:  kde4-macros
BuildRequires:  automoc
BuildRequires:  glib2-devel
BuildRequires:  libxml2-devel
BuildRequires:  imagemagick
BuildRequires:  pulseaudio-devel
%if %_with_zeitgeist
BuildRequires:  libqzeitgeist-devel
%endif

%description
Phonon is the KDE5 Multimedia Framework

%files
%_qt5_importdir/Phonon

#--------------------------------------------------------------------

%define phononexperimental_major 4
%define libphononexperimental %mklibname %{name}experimental %phononexperimental_major

%package -n %libphononexperimental
Summary: Phonon library
Group: System/Libraries


%description -n %libphononexperimental
Phonon library.

%files -n %libphononexperimental
%_kde_libdir/lib%{name}experimental.so.%{phononexperimental_major}*

#--------------------------------------------------------------------

%define phonon_major 4
%define libphonon %mklibname %{name}_ %phonon_major

%package -n %libphonon
Summary: Phonon library
Group: System/Libraries

%description -n %libphonon
Phonon library.

%files -n %libphonon
%_kde_libdir/lib%{name}.so.%{phonon_major}*

#--------------------------------------------------------------------

%package   devel
Group:     Development/KDE and Qt
Summary:   Header files and documentation for compiling KDE applications
Requires:  %libphononexperimental = %epoch:%version
Requires:  %libphonon = %epoch:%version

%description devel
This package includes the header files you will need to compile applications
for KDE. Also included is the KDE API documentation in HTML format for easy
browsing.

%files devel
%{_datadir}/%name/buildsystem
%{_libdir}/cmake/%name
%{_includedir}/%name
%{_kde_libdir}/lib%{name}.so
%{_kde_libdir}/lib%{name}experimental.so
%{_kde_libdir}/pkgconfig/%{name}.pc
%{_kde_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml
%{_qt5_datadir}/mkspecs/modules/qt_%{name}.pri

#--------------------------------------------------------------------

%prep
%setup -q  -n phonon
#apply_patches

%build
%cmake_kde4 \
	-DUSE_INSTALL_PLUGIN=TRUE \
    -DPHONON_QT_MKSPECS_INSTALL_DIR=%{_qt5_datadir}/mkspecs/modules

%make

%install
%makeinstall_std -C build



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 5:4.6.60-6.mga4
+ Revision: 521878
- Mageia 4 Mass Rebuild

* Tue Jan 29 2013 neoclust <neoclust> 5:4.6.60-5.mga3
+ Revision: 393198
- Fix mkspecs path
- Fix mkspecs path
- imported package phonon4qt5

